Retrieve a holder application
Retrieves an existing holder application.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>holderApplicationId*stringUnique identifier for a registered holder application.
uuidHolder application retrieved
application/json- response
Configuration for a holder iOS application.
id?stringUnique identifier of the holder application.
name?stringUnique name to identify the holder application.
clientId?stringOAuth 2.0 client_id value associated with the holder application for client attestation. Included as the sub claim in attestation JWTs.
type*"ios"Defines the holder application type.
"ios"bundleId*stringBundle ID of the iOS app.
teamId*teamIdTeam ID of the iOS app.
maxTimeOfflineInSecs?integerMaximum number of seconds the SDK can operate offline before requiring a new license token.
- Cannot be less than 1 day (86400 seconds).
- Cannot exceed 30 days (2592000 seconds).
- Default is 7 days (604800 seconds).
86400 <= value <= 2592000604800appAttest?App Attest configuration for the iOS holder application.
If this object is omitted, MATTR VII validates any attestation it receives against the production environment.
curl -X GET 'https://example.vii.au01.mattr.global/v1/holder/applications/281d20b3-42a3-40dd-b29a-115ff32b02b7'{ "id": "1ef1f867-20b4-48ea-aec1-bea7aff4964c", "name": "Example Holder Application", "clientId": "example-wallet-client", "type": "ios", "bundleId": "com.example-holder-ios-application", "teamId": "A2B3C4D5E6", "maxTimeOfflineInSecs": 86400, "appAttest": { "required": true, "environment": "production" }}How would you rate this page?